### @dotconnor/ddb

`1.1.0`
Need help reading this?

### scanBuilder

Help class to scan a table.

new scanBuilder(TableName: any, _db: any)
Parameters
TableName `(any)`
_db `(any)`
Instance Members
▸ addFilter(name, value, op)

Adds a filter to the scan to remove unwanted items.

addFilter(name: string, value: any, op: string): scanBuilder
Parameters
name `(string)` The name of the key to search for.
value `(any)` The value of the key to be compared to.
op `(string)` How to compare the given value and each of the table"s items.
Returns
`scanBuilder`: this
▸ addName(alias, name)

Adds an alias to the key name.

addName(alias: string, name: string): scanBuilder
Deprecated: This is deprecated.
Parameters
alias `(string)`
name `(string)`
Returns
`scanBuilder`: this
▸ addValue(alias, value)
addValue(alias: string, value: any): scanBuilder
Parameters
alias `(string)` Alias or name of an value.
value `(any)`
Returns
`scanBuilder`: this
▸ setFilter(filter)
setFilter(filter: string): scanBuilder
Parameters
filter `(string)` How the scan to filter out items.
Returns
`scanBuilder`: this
▸ execute()
execute(): Promise<Array, Error>
Returns
`Promise<Array, Error>`: Returns an Promise containing an array of items scanned that matched the filters.

### updateBuilder

Help class to update an item.

new updateBuilder(TableName: any, _db: any)
Parameters
TableName `(any)`
_db `(any)`
Instance Members
▸ setKey(key, value)
setKey(key: string, value: string): updateBuilder
Parameters
key `(string)` The name of your primary key.
value `(string)` The value it must match to be udpated.
Returns
`updateBuilder`: this
▸ updateItem(key, value)
updateItem(key: string, value: any): updateBuilder
Parameters
key `(string)` Name of a key in the item to be updated.
value `(any)` The updated value of that key.
Returns
`updateBuilder`: this
▸ execute()
execute(): Promise<Array, Error>
Returns
`Promise<Array, Error>`: Returns an Promise containing an array of items updated.

### ddb

Main ddb class to bind to a AWS Account.

new ddb(opts: any)
Parameters
opts `(any = `{}`)`
Instance Members
▸ scan(TableName)

Sets up a scan builder for a table.

scan(TableName: string)
Parameters
TableName `(string)`
▸ update(TableName)

Sets up a update builder for a table.

update(TableName: string)
Parameters
TableName `(string)`

### list

http://docs.aws.amazon.com/amazondynamodb/latest/developerguide/ReservedWords.html

list